#
# spec file for package python3-rodeo
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-rodeo
Version:        0.4.4
Release:        2.8
Summary:        IDE for data analysis in python
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://github.com/yhat/rodeo/
Source:         https://files.pythonhosted.org/packages/source/r/rodeo/rodeo-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-jupyter_ipython >= 3.0.0
BuildRequires:  python3-Flask >= 0.10.1
BuildRequires:  python3-docopt
BuildRequires:  python3-pyzmq >= 13
Requires:       python3-mistune
Requires:       python3-jupyter_ipython >= 3.0.0
Requires:       python3-Flask >= 0.10.1
Requires:       python3-docopt
Requires:       python3-mistune
Requires:       python3-pyzmq >= 13
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Rodeo is a data centric IDE for Python. You can think of it as an
alternative UI to the notebook for the IPython Kernel. It's heavily
inspired by great projects like Sublime Text and Eclipse.

%prep
%setup -q -n rodeo-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Prepare for update-alternatives usage
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/rodeo %{buildroot}%{_bindir}/rodeo-%{py3_ver}
ln -s -f %{_sysconfdir}/alternatives/rodeo %{buildroot}%{_bindir}/rodeo
# create a dummy target for /etc/alternatives/rodeo
touch %{buildroot}%{_sysconfdir}/alternatives/rodeo
ln -s -f %{_bindir}/rodeo-%{py3_ver} %{buildroot}%{_bindir}/rodeo3

%post
"%_sbindir/update-alternatives" \
   --install %{_bindir}/rodeo rodeo %{_bindir}/rodeo-%{py3_ver} 30

%postun
if [ $1 -eq 0 ] ; then
    "%_sbindir/update-alternatives" --remove rodeo %{_bindir}/rodeo-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc README.rst
%{_bindir}/rodeo
%{_bindir}/rodeo3
%{_bindir}/rodeo-%{py3_ver}
%ghost %{_sysconfdir}/alternatives/rodeo
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Oct  6 2015 arun@gmx.de
- specfile:
  * replaced IPython with jupyter_ipython package
- update to version 0.4.4:
  (no changelog available)
* Fri Aug 28 2015 toddrme2178@gmail.com
- Implement update-alternatives
* Fri Jun 19 2015 arun@gmx.de
- update to version 0.4.3:
  (no changelog available)
* Mon Jun 15 2015 arun@gmx.de
- update to version 0.4.2:
  * fixed unicode issue
  * fixed file->upload forms
* Fri Jun  5 2015 arun@gmx.de
- update to version 0.4.1:
  * fix install
- changes from version 0.4.0:
  * fix install
- changes from version 0.3.7:
  * resizable window panes
* Sat May  9 2015 arun@gmx.de
- specfile:
  * remove jedi, markdown2
  * add mistune
- update to version 0.3.6:
  * ipython kernel based autocomplete
  * remove jedi
  * console autocompletion
- changes from version 0.3.5:
  * set default encoding for source files
- changes from version 0.3.3:
  * logging
  * slugify fix
- changes from version 0.3.2:
  * slugify
- changes from version 0.3.1:
  * full path for pypi
  * prevent slow loops
- changes from version 0.3.0:
  * handle no pandas
  * handle file upload
  * better python3 support
  * upload data option
  * better help
  * fix bug in win7
  * faster boot time
  * use slugify
  * save/open subdirectory files in correct location
  * adding pyspark support
  * use imp to reload
  * better tables
  * use mistune
* Wed Apr 29 2015 toddrme2178@gmail.com
- It needs the python3-markdown2 package, not python3-Markdown
  version 2
* Wed Apr 29 2015 toddrme2178@gmail.com
- Initial version
